Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.jaxp
Class JXDocumentBuilderFactory

`java.lang.Object
javax.xml.parsers.DocumentBuilderFactory
oracle.xml.jaxp.JXDocumentBuilderFactory`

      public class JXDocumentBuilderFactory

extends DocumentBuilderFactory

Defines a factory API that enables applications to obtain a parser that produces DOM object trees from XML documents.

Since:
  JAXP 1.0

Field Summary
`static java.lang.String` `BASE_URL` Base URL used in parsing entities.
`static java.lang.String` `DEBUG_MODE` Sets Debug Mode - Boolean.TRUE or Boolean.FALSE
`static java.lang.String` `DTD_OBJECT` DTD Object to be used for validation.
`static java.lang.String` `ERROR_ENCODING` Encoding for errors report via error stream (only if ERROR_STREAM is set)
`static java.lang.String` `ERROR_STREAM` Error stream for reporting errors.
`static java.lang.String` `NODE_FACTORY` Set NodeFactory to build custom Nodes
`static java.lang.String` `SCHEMA_LANGUAGE` Schema language attribute for validation.
`static java.lang.String` `SCHEMA_OBJECT` Schema Object to be used for validation.
`static java.lang.String` `SCHEMA_SOURCE` Schema source attribute for validation.
`static java.lang.String` `SHOW_WARNINGS` Boolean to ignore warnings - Boolean.TRUE or Boolean.FALSE
`static java.lang.String` `USE_DTD_ONLY_FOR_VALIDATION` If true, DTD Object is used only for validation and is not added to the parser document
`static java.lang.String` `XSDRECNS` XMLSchema attribute value for validation.

Constructor Summary
`JXDocumentBuilderFactory()` Default Constructor

Method Summary
`java.lang.Object` `getAttribute(java.lang.String name)` Allows the user to retrieve specific attributes on the underlying implementation.
`boolean` `getFeature(java.lang.String name)`
`boolean` `isIgnoreElementContentWhitespace()`
`DocumentBuilder` `newDocumentBuilder()` Creates a new instance of a DocumentBuilder using the currently configured parameters.
`void` `setAttribute(java.lang.String name, java.lang.Object value)` Allows the user to set specific attributes on the underlying implementation.
`void` `setFeature(java.lang.String name, boolean value)`
`void` `setIgnoreElementContentWhitespace(boolean whitespace)`

Methods inherited from class javax.xml.parsers.DocumentBuilderFactory
`isCoalescing, isExpandEntityReferences, isIgnoringComments, isIgnoringElementContentWhitespace, isNamespaceAware, isValidating, newInstance, setCoalescing, setExpandEntityReferences, setIgnoringComments, setIgnoringElementContentWhitespace, setNamespaceAware, setValidating`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR_STREAM

    public static final java.lang.String ERROR_STREAM

  Error stream for reporting errors. The object can be OutputStream or PrintWriter. This attribute is ignored if ErrorHandler is set.
  See Also:
    Constant Field Values

### ERROR_ENCODING

    public static final java.lang.String ERROR_ENCODING

  Encoding for errors report via error stream (only if ERROR_STREAM is set)
  See Also:
    Constant Field Values

### SHOW_WARNINGS

    public static final java.lang.String SHOW_WARNINGS

  Boolean to ignore warnings - Boolean.TRUE or Boolean.FALSE
  See Also:
    Constant Field Values

### DEBUG_MODE

    public static final java.lang.String DEBUG_MODE

  Sets Debug Mode - Boolean.TRUE or Boolean.FALSE
  See Also:
    Constant Field Values

### NODE_FACTORY

    public static final java.lang.String NODE_FACTORY

  Set NodeFactory to build custom Nodes
  See Also:
    Constant Field Values

### DTD_OBJECT

    public static final java.lang.String DTD_OBJECT

  DTD Object to be used for validation.
  See Also:
    Constant Field Values

### USE_DTD_ONLY_FOR_VALIDATION

    public static final java.lang.String USE_DTD_ONLY_FOR_VALIDATION

  If true, DTD Object is used only for validation and is not added to the parser document
  See Also:
    Constant Field Values

### SCHEMA_OBJECT

    public static final java.lang.String SCHEMA_OBJECT

  Schema Object to be used for validation.
  See Also:
    Constant Field Values

### BASE_URL

    public static final java.lang.String BASE_URL

  Base URL used in parsing entities.
  See Also:
    Constant Field Values

### SCHEMA_LANGUAGE

    public static final java.lang.String SCHEMA_LANGUAGE

  Schema language attribute for validation.
  See Also:
    Constant Field Values

### SCHEMA_SOURCE

    public static final java.lang.String SCHEMA_SOURCE

  Schema source attribute for validation.
  See Also:
    Constant Field Values

### XSDRECNS

    public static final java.lang.String XSDRECNS

  XMLSchema attribute value for validation.
  See Also:
    Constant Field Values

Constructor Detail

### JXDocumentBuilderFactory

    public JXDocumentBuilderFactory()

  Default Constructor

Method Detail

### newDocumentBuilder

    public DocumentBuilder newDocumentBuilder()
                                       throws ParserConfigurationException

  Creates a new instance of a DocumentBuilder using the currently configured parameters.
  Specified by:
    `newDocumentBuilder` in class `DocumentBuilderFactory`
  Throws:
    `ParserConfigurationException` - if a DocumentBuilder cannot be created which satisfies the configuration requested

### isIgnoreElementContentWhitespace

    public boolean isIgnoreElementContentWhitespace()

### setIgnoreElementContentWhitespace

    public void setIgnoreElementContentWhitespace(boolean whitespace)

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)
                      throws java.lang.IllegalArgumentException

  Allows the user to set specific attributes on the underlying implementation.
  Specified by:
    `setAttribute` in class `DocumentBuilderFactory`
  Parameters:
    `name` - The name of the attribute.
    `value` - The value of the attribute.
  Throws:
    `java.lang.IllegalArgumentException` - thrown if the underlying implementation doesn't recognize the attribute.

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)
                                  throws java.lang.IllegalArgumentException

  Allows the user to retrieve specific attributes on the underlying implementation.
  Specified by:
    `getAttribute` in class `DocumentBuilderFactory`
  Parameters:
    `name` - The name of the attribute.
  Returns:
    value The value of the attribute.
  Throws:
    `java.lang.IllegalArgumentException` - thrown if the underlying implementation doesn't recognize the attribute.

### setFeature

    public void setFeature(java.lang.String name,
                           boolean value)
                    throws ParserConfigurationException

  Throws:
    `ParserConfigurationException`

### getFeature

    public boolean getFeature(java.lang.String name)
                       throws ParserConfigurationException

  Throws:
    `ParserConfigurationException`

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.